Plugin Eclipse WTP sans adaptateur Apache Tomcat

J’utilise Galileo Eclipse, j’ai téléchargé le plugin WTP, mais pas le plugin Apache Tomcat lorsque j’essaie d’append le serveur Tomcat …

une idée rapide?

Dans WTP, vous pouvez télécharger des plug-ins pour de nombreux serveurs d’applications Web ou Java EE.

Pour cela, accédez à Window => Preferences => Server => Runtime Environments => Add... Sélectionnez le ou les serveurs avec lesquels vous souhaitez travailler.

Cependant, comme Raghuram l’a souligné, vous feriez probablement mieux de commencer par les développeurs Eclipse pour Java EE. C’est parce que WTP est construit sur de nombreux plugins d’infrastructure tels que EMF et que les dépendances sont parfois instables parce que tous ces plugins évoluent en parallèle … et le plus souvent, les changements d’API 😉

Selon la manière dont vous l’avez installé, vous avez peut-être ignoré la fonctionnalité “JST Server Adapters” (org.eclipse.jst.server_adapters.ext) et “JST Server Adapters Extensions” qui contient le support Apache Tomcat.

J’ai rencontré le même problème avant mais mon éclipse est indigo et a également téléchargé WTP … orz aucun tomcat trouvé. Cependant, j’ai résolu en procédant comme suit:

  1. Allez dans Aide> Installer un nouveau logiciel …
  2. À partir du travail avec, sélectionnez “Indigo – http://download.eclipse.org/releases/indigo
  3. Dans la liste, sélectionnez “Développement Web, XML et Java EE”.
  4. Ensuite, sélectionnez “Adaptateurs de serveur JST”

Après l’avoir installé, lorsque j’ajoute un nouveau serveur, je peux voir Tomcat disponible pour la sélection. 🙂 j’espère que cela aide aussi ~

Comme dit akavel, assurez-vous que ” JST Server Adapters Extensions ” est également installé. Tomcat ne s’est montré pour moi que lorsque j’ai installé ce plugin.

J’ai eu le même problème. J’ai utilisé la solution @sibley, mais tomcat8.5 et plus manquaient. Pour corriger cela, j’ai dû cliquer sur Aide> Vérifier les mises à jour. Cela va amener tous les Tomcat manquants